Bug 1798489 - [RHSSO] - If Access Token Lifespan is set to 5 mins then the user is getting sign out instead after idle SSO timeout
Summary: [RHSSO] - If Access Token Lifespan is set to 5 mins then the user is getting ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.7.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Rahul Bajaj
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1798488 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 13:35 UTC by Omkar Khatavkar
Modified: 2020-10-27 13:00 UTC (History)
6 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:00:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29744 0 Normal Closed Consistent session expiry for oidc external users 2020-11-24 12:57:29 UTC
Github theforeman foreman pull 7653 0 None closed Fixes #29744 - Consistent session expiration for oidc ext. users 2020-11-24 12:57:29 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:00:36 UTC

Description Omkar Khatavkar 2020-02-05 13:35:18 UTC
Description of problem:
If Access Token Lifespan is set to 5 mins then the user is getting sign out instead after idle SSO timeout 

Version-Release number of selected component (if applicable):
Satellite 6.7 Snap 10

How reproducible:
Always 

Steps to Reproduce:
1. Setup the Satellite with RHSSO instance and Keep Access Token Lifespan = 5 min
2. Keep SSO Session Idle = 30 mins 
3. Setup the Smart Card with firefox browser and login using a smart card in Satellite
4. Go Idle for 5 mins 
5. User is getting Signout from the application after 5 mins instead of 30 mins of idle session

Actual results:
User is getting Signout 

Expected results:
User should not get Signout 

Additional info:
This seems to be an issue with a refresh token if JWT token got expired, need to renew with the use of Refresh Token.

Comment 3 Brad Buckingham 2020-02-10 15:25:43 UTC
*** Bug 1798488 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2020-05-21 12:05:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29270 has been resolved.

Comment 14 Omkar Khatavkar 2020-06-25 12:20:58 UTC
Now Access Token Lifespan from RHSSO is no more use after integrating Satellite. The Satellite has the setting for the 'Idle timeout' which manages the session idle timeout

Comment 17 errata-xmlrpc 2020-10-27 13:00:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.